IRMA(1)

NAME

irma - The Information Retreival Middleware something - with - a

SYNOPSIS

irma [option …] [CONFIG_FILE …]

DESCRIPTION

IRMa starts a small HTTP-server that will host a IR REST-API plus any static assets you provide. It is configured by giving it an arbitrary number of configuration files. The settings in these files will be merged; if there are conflicting settings, precedence is given to the setting encountered first. In addition, you can override some settings via command-line optoins.

OPTIONS

-h, --help
    Display a short help message.

-m, --manpage
    Create a manual page.

-l, --listen address:port
    The address on which the server will listen. (Default: localhost:9999)

-e, --es-host hostname:port
    The ElasticSearch node to connect to. (Default: localhost:9200)

-i, --es-index name
    The ElasticSearch index name to use. (Default: app-test)

-T, --config-types directory
    The files in the given directory will be loaded as via require and made available as additional types in the configuration files. Can be given multiple times. In case of conflicting names, the type encountered first will be used.

-S, --install
    Wrap up the current configuration and install it as a system service.

-U, --uninstall
    Uninstall a service previously created from this configuration